%define upstream_name    Config-MVP-Slicer
%define upstream_version 0.302

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Extract embedded plugin config from parent config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This can be used to extract embedded configurations for other plugins out
of larger (parent) configurations.

A example where this can be useful is plugin bundles (see the
Config::MVP::Assembler::WithBundles manpage).

A bundle loads other plugins with a default configuration that works most
of the time, but sometimes you wish you could customize the configuration
for one of those plugins without having to remove the plugin from the
bundle and re-specify it separately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.302.0-8.mga6
+ Revision: 1024308
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.302.0-7.mga6
+ Revision: 948892
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.302.0-6.mga5
+ Revision: 788541
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.302.0-5.mga5
+ Revision: 744717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.302.0-4.mga5
+ Revision: 683988
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.302.0-3.mga4
+ Revision: 510189
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.302.0-2.mga3
+ Revision: 364685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 jquelin <jquelin> 0.302.0-1.mga3
+ Revision: 266669
- update to 0.302

* Fri Nov 18 2011 jquelin <jquelin> 0.301.0-1.mga2
+ Revision: 168839
- imported package perl-Config-MVP-Slicer


* Fri Nov 18 2011 cpan2dist 0.301-1mga
- initial mageia release, generated with cpan2dist
